clang 8.0.0

Classes | Public Member Functions | List of all members
clang::ASTContext::ParentMap Class Reference

## Classes
class | ASTVisitor
| A `RecursiveASTVisitor` that builds a map from nodes to their parents as defined by the `RecursiveASTVisitor`. More...

## Public Member Functions
| ParentMap (ASTContext &Ctx)
| ~ParentMap ()
DynTypedNodeList | getParents (const ast_type_traits::DynTypedNode &Node)

## Detailed Description

Definition at line 840 of file ASTContext.cpp.

## Constructor & Destructor Documentation

## ◆ ParentMap()

clang::ASTContext::ParentMap::ParentMap | ( | ASTContext & | Ctx | ) |

Definition at line 10282 of file ASTContext.cpp.

References clang::RecursiveASTVisitor< Derived >::TraverseAST().

## ◆ ~ParentMap()

clang::ASTContext::ParentMap::~ParentMap | ( |  | ) |
| inline

Definition at line 887 of file ASTContext.cpp.

## Member Function Documentation

## ◆ getParents()

DynTypedNodeList clang::ASTContext::ParentMap::getParents | ( | const ast_type_traits::DynTypedNode & | Node | ) |
| inline

Definition at line 904 of file ASTContext.cpp.

References clang::ast_type_traits::DynTypedNode::getMemoizationData(), clang::ast_type_traits::DynTypedNode::getNodeKind(), and clang::ast_type_traits::ASTNodeKind::hasPointerIdentity().

The documentation for this class was generated from the following file:

- lib/AST/ASTContext.cpp